Bug 443618 - [REG][Xen][5.2beta] cannot open a vmcore of xen-kdump with crash
[REG][Xen][5.2beta] cannot open a vmcore of xen-kdump with crash
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.3
x86_64 Linux
high Severity low
: rc
: ---
Assigned To: Bill Burns
Martin Jenner
:
Depends On:
Blocks: 448753 RHEL5u3_relnotes
  Show dependency treegraph
 
Reported: 2008-04-22 11:40 EDT by Dave Anderson
Modified: 2009-01-20 14:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
crash was unable to read the relocation address of the hypervisor from a vmcore file. Consequently, opening a Virtualized kernel vmcore file with crash would fail, resulting in the error: crash: cannot resolve "idle_pg_table_4" In this update, the hypervisor now saves the address correctly, which resolves this issue.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:46:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Posted patch. (1.50 KB, patch)
2008-06-13 16:10 EDT, Bill Burns
no flags Details | Diff

  None (edit)
Description Dave Anderson 2008-04-22 11:40:37 EDT
Description of problem:

  [copied from BZ #442438]

  When we used crash command with vmcore which was kdumped on xen,
  I cannot open the vmcore.
  I didn't have this issue at RHEL5.1.
  I discribed the error messages in Actual Results.

Version-Release number of selected component (if applicable):

  [copied from BZ #442438]

  Red Hat Enterprise Linux Version Number: RHEL5.2 Snapshot3
  Release Number: RHEL5.2 Snapshot3
  Architecture: x86_64
  Kernel Version: kernel-xen-2.6.18-87.el5
  Related Package Version: crash 4.0-5.0.2, kexec-tools-1.102pre-16.el5
  
How reproducible:

  [copied from BZ #442438]
  
  Always

Steps to Reproduce:

  [copied from BZ #442438]

  1. modified /etc/kdump.conf
  2. reboot >>>> /etc/init.d/kdump makes a initrd for kdump.
  3. echo c >/proc/sysrq-trigger >>>> dumping
  4. after rebooting, "crash xen-syms vmcore"


Actual results:

[copied from BZ #442438]

# crash /boot/xen-syms-2.6.18-87.el5 /mnt/127.0.0.1-2008-04-10-01\\:49\\:20/vmcore 
	
	crash 4.0-5.0.2
	Copyright (C) 2002, 2003, 2004, 2005, 2006, 2007, 2008  Red Hat, Inc.
	Copyright (C) 2004, 2005, 2006  IBM Corporation
	Copyright (C) 1999-2006  Hewlett-Packard Co
	Copyright (C) 2005, 2006  Fujitsu Limited
	Copyright (C) 2006, 2007  VA Linux Systems Japan K.K.
	Copyright (C) 2005  NEC Corporation
	Copyright (C) 1999, 2002, 2007  Silicon Graphics, Inc.
	Copyright (C) 1999, 2000, 2001, 2002  Mission Critical Linux, Inc.
	This program is free software, covered by the GNU General Public License,
	and you are welcome to change it and/or distribute copies of it under
	certain conditions.  Enter "help copying" to see the conditions.
	This program has absolutely no warranty.  Enter "help warranty" for details.
	 
	GNU gdb 6.1
	Copyright 2004 Free Software Foundation, Inc.
	GDB is free software, covered by the GNU General Public License, and you are
	welcome to change it and/or distribute copies of it under certain conditions.
	Type "show copying" to see the conditions.
	There is absolutely no warranty for GDB.  Type "show warranty" for details.
	This GDB was configured as "x86_64-unknown-linux-gnu"...
	
	
	crash: cannot resolve "idle_pg_table_4"


Expected results:

  [copied from BZ #442438]

  We can open the vmcore, and analyse it.


Additional info:

  This bugzilla is cloned from crash-utility BZ #442438.  The ultimate fix
  however, will require changes to both the crash-utility and (in all
  probability) the hypervisor code as well.  However, the hypervisor-changes
  are still being discussed upstream, and if it is decided to address it
  in the hypervisor, then this bugzilla can be used to track it.
Comment 1 Dave Anderson 2008-04-22 11:45:41 EDT
I tried going through the "clone as bug", but I don't see any connection
with #BZ 442438.

Anyway, this bugzilla exists to track how the RHEL5.2 xen hypervisor,
which is now relocated, passes its new "xen_phys_start" value to the
vmcore, so that the crash utility will be able to translate virtual
addresses to physical addresses, and then to their location in the vmcore.  

Comment 2 Dave Anderson 2008-04-23 09:09:37 EDT
There are 3 bugzillas open to track this issue:

crash utility:
  BZ #442438 [REG][Xen][5.2beta] cannot open a vmcore of xen-kdump with crash
  https://bugzilla.redhat.com/show_bug.cgi?id=442438

kernel-xen:
  BZ #443618 [REG][Xen][5.2beta] cannot open a vmcore of xen-kdump with crash
  https://bugzilla.redhat.com/show_bug.cgi?id=443618

kexec-tools:
  BZ #443622 [REG][Xen][5.2beta] cannot open a vmcore of xen-kdump with crash
  https://bugzilla.redhat.com/show_bug.cgi?id=443622

Comment 3 Bill Burns 2008-06-02 15:19:21 EDT
Upstream patch submitted:
http://xenbits.xensource.com/xen-unstable.hg?rev/439a3e9459f2

Comment 4 RHEL Product and Program Management 2008-06-09 17:58:13 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Bill Burns 2008-06-13 16:10:07 EDT
Created attachment 309290 [details]
Posted patch.
Comment 7 Don Zickus 2008-07-30 20:49:21 EDT
in kernel-2.6.18-101.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 11 Ryan Lerch 2008-11-06 20:04:11 EST
This bug has been marked for inclusion in the Red Hat Enterprise Linux 5.3
Release Notes.

To aid in the development of relevant and accurate release notes, please fill
out the "Release Notes" field above with the following 4 pieces of information:


Cause:   What actions or circumstances cause this bug to present.

Consequence:  What happens when the bug presents.

Fix:   What was done to fix the bug.

Result:  What now happens when the actions or circumstances above occur. (NB:
this is not the same as 'the bug doesn't present anymore')
Comment 12 Bill Burns 2008-11-07 10:33:11 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Due to a change in the Xen hypervisor the crash utility was unable to open a Xen crash dump. This patch saves the start address so that the crash utility can process the crash dump file.
Comment 13 Ryan Lerch 2008-11-11 20:20:13 EST
crash was unable to read the relocation address of the hypervisor from a vmcore file. Consequently, opening a Virtualized kernel vmcore file with crash would fail, resulting in the error: 
crash: cannot resolve "idle_pg_table_4"
In this update, the hypervisor now saves the address correctly, which resolves this issue.
Comment 14 Ryan Lerch 2008-11-11 20:20:13 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1,5 @@
-Due to a change in the Xen hypervisor the crash utility was unable to open a Xen crash dump. This patch saves the start address so that the crash utility can process the crash dump file.+crash was unable to read the relocation address of the hypervisor from a vmcore file. Consequently, opening a Virtualized kernel vmcore file with crash would fail, resulting in the error: 
+
+crash: cannot resolve "idle_pg_table_4"
+
+In this update, the hypervisor now saves the address correctly, which resolves this issue.
Comment 19 errata-xmlrpc 2009-01-20 14:46:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.